## sipwitch 0.5.10-1trisquel2-1

=== debian/changelog ===
sipwitch (0.5.10-1trisquel2-1) trisquel; urgency=low

  * Compiled for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Wed, 25 Nov 2009 21:20:19 +0000

sipwitch (0.5.10-1) dwyn; urgency=medium

  * Fix for clients that register from ephimeral sockets (telepathy)
  * Removal of swig and snmp; greatly simplified packaging

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 24 Nov 2009 12:02:16 -0500

sipwitch (0.5.7-1) dwyn; urgency=high

  * Fix for memory corruption bug.

 -- David Sugar <dyfet@gnutelephony.org>  Fri, 14 Aug 2009 20:11:00 -0400

sipwitch (0.5.6-1) dwyn; urgency=low

  * refer method support for call transfer added.
  * rewrite of media proxy/network peering detection added.
  * rtpproxy plugin removed; will be integrated to core server.

 -- David Sugar <dyfet@gnutelephony.org>  Thu, 18 Jun 2009 10:11:13 -0400

sipwitch (0.5.5-1) dwyn; urgency=low

  * Changes in configure to better support python, php, and init scripts.
  * Support dist-packages path for python on newer distros

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 10 Jun 2009 09:31:38 -0400

sipwitch (0.5.4-1) dwyn; urgency=medium

  * Fix for correct domain or request identity in session->identity.
  * Cleanup of debian control file and packaging.

 -- David Sugar <dyfet@gnutelephony.org>  Sat, 02 May 2009 09:18:02 -0400

sipwitch (0.5.3-1) dwyn; urgency=low

  * Initial release.

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 03 Mar 2009 12:55:04 -0400
