=== debian/control ===
Source: sipwitch
Priority: extra
Maintainer: David Sugar <dyfet@gnutelephony.org>
Build-Depends: debhelper (>= 5), libexosip2-dev (>= 3), libucommon-dev (>= 2.0.0), libavahi-client-dev, libgcrypt-dev, pkg-config, cdbs, dpkg-dev (>= 1.13.19)
Standards-Version: 3.8.2
Homepage: http://www.gnutelephony.org
Section: net

Package: libsipwitch-dev
Section: libdevel
Architecture: any
Depends: libsipwitch0 (= ${binary:Version}), libucommon-dev, ${misc:Depends}
Suggests: libexosip2-dev
Description: Headers and static link library for libswitch
 Static link and header files for developing external plugins and services
 that use sipwitch.

Package: libsipwitch0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for sipwitch server
 This is the runtime library used by GNU SIP Witch and plugins.

Package: sipwitch-plugin-zeroconf
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Zeroconf plugin for sipwitch
 This plugin activates zeroconf network services for sipwitch and publishes
 sipwitch as a sip server.

Package: sipwitch-plugin-forward
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Forward registration and redirection module for sipwitch
 This plugin enables you to cross-register secure extensions with sipwitch
 and with an insecure IP-PBX.  Secure destinations called off the extension
 number will route peer node to node through sipwitch, and all other
 destination numbers will be forwarded to the insecure IP-PBX.

Package: sipwitch-plugin-scripting
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Scripting plugin for sipwitch
 This plugin enables shell scripting in connection with specific sipwitch
 events.

Package: sipwitch-plugin-subscriber
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Subscriber gateway plugin for sipwitch
 This module is meant to eventually offer generic support for premise 
 routers when used by providers to offer sip/voip service to a subscriber.
 It offers rtp proxying and routing based on the assumption that all calls
 will be handed off to an external voip provider and automatic rtp
 proxy bridging between a subscribers local subnet and an isp.  In theory
 this would be deployed in an isp supplied premise router to enable a 
 local user to subscribe a series of local softphone/sip devices with a 
 remote voip service provider.

Package: sipwitch
Architecture: any
Section: net
Depends: libsipwitch0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: sip peer media telephony server
 GNU SIP Witch is a pure SIP-based office telephone call server that supports
 generic phone system features like call forwarding, hunt groups and call
 distribution, call coverage and ring groups, holding, and call transfer, as
 well as offering SIP specific capabilities such as presence and messaging. It
 supports secure telephone extensions for making calls over the Internet, and
 intercept/decrypt-free peer-to-peer audio and video extensions. It is not a 
 SIP proxy, a multi-protocol telephone server, or an IP-PBX, and does not try
 to emulate Asterisk, FreeSWITCH, or Yate.
