=== debian/rules ===
#!/usr/bin/make -f

FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
URL = http://ftp.gnu.org/pub/gnu/sipwitch/sipwitch-$(DEB_UPSTREAM_VERSION).tar.gz

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(FILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)
