=== debian/watch ===
version=2
# Site		Directory		Pattern			Version	Script
http://ftp.gnu.org/pub/gnu/sipwitch/	sipwitch-([\d\.]*)\.tar\.gz	debian  svn-upgrade
