## sipwitch 0.5.10-1trisquel3-1

=== debian/changelog ===
sipwitch (0.5.10-1trisquel3-1) trisquel; urgency=low

  * Compiled for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Wed, 25 Nov 2009 21:18:32 +0000
