## sipwitch 0.8.4

=== debian/changelog ===
sipwitch (0.8.4-0ubuntu1) maverick; urgency=low

  * New upstream release LP: #612102
  * Bump standards-version to 3.9.1 No other changes

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 01 Aug 2010 00:54:15 +0530

sipwitch (0.8.3-0ubuntu1) maverick; urgency=low

  * New upstream version (LP: #576967):
    - Requires ucommon 2.1.3 or later
    - Introduction of desktop notification plugin subpackage
    - Reloads configuration when ethernet interface state changes
    - Packaging cleanup

 -- David Sugar <david.sugar@canonical.com>  Tue, 18 May 2010 15:00:23 -0400

sipwitch (0.7.4-0ubuntu1) lucid; urgency=high

  * New upstream version (LP: #539206):
    - Upstream fix for sippasswd sending realm instead of hash
    - Upstream fix for server uuid realm when no realm set
    - New server debugging and management options from upstream
  * debian/rules:
    - Fix for sippasswd setuid by using override_dh_fixperms
    - Added back debug symbols by using override_dh_strip
  * debian/control:
    - bump Standards-version to 3.8.4. No changes required.
    - New sipwitch-cgi subpackage for proper install of cgi webservice
    - Updated short and long descriptions
  * debian/sipwitch.install: do not install cgi related files

 -- David Sugar <david.sugar@canonical.com>  Mon, 15 Mar 2010 14:35:01 -0400

sipwitch (0.7.1-0ubuntu1) lucid; urgency=medium

  * Fix for init script (LP: #520996)
  * Introduction of NAT support and media proxy
  * Moved lab.xml to config examples
  * Definition of SIP Domain consolidated with SIP Realm

 -- David Sugar <david.sugar@canonical.com>  Fri, 12 Feb 2010 09:55:24 -0500

sipwitch (0.6.2-0ubuntu1) karmic; urgency=low

  * Initial packaging for Ubuntu (LP: #342637)

 -- David Sugar <david.sugar@canonical.com>  Sat, 23 Jan 2010 02:05:40 -0500
