=== debian/watch ===
version=3
http://ftp.gnu.org/pub/gnu/sipwitch/sipwitch-([\d\.]*)\.tar\.gz
