## sipwitch 1.0.0-1-maemo1

=== debian/changelog ===
sipwitch (1.0.0-1-maemo1) unstable; urgency=medium

  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 12:45:21 +0200

sipwitch (1.0.0-1) UNRELEASED; urgency=medium

  * Stable 1.0 release.

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 10 May 2011 17:18:21 -0400

sipwitch (0.10.6-1) UNRELEASED; urgency=low

  * New sync event in events ipc.

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 08 May 2011 14:29:37 -0400

sipwitch (0.10.3-1) UNRELEASED; urgency=low

  * Lots of code cleanup and portability changes.

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 20 Mar 2011 11:14:42 -0400

sipwitch (0.10.1-1) UNRELEASED; urgency=low

  * Consolidated utility programs into main sipwitch utility.
  * Server events streaming ipc.

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 28 Feb 2011 19:13:22 -0500

sipwitch (0.10.0-1) UNRELEASED; urgency=low

  * Uses ucommon usecure for digests.
  * Notify plugin dropped (new companion gui to be introduced later...)

 -- David Sugar <dyfet@gnutelephony.org>  Fri, 25 Feb 2011 06:43:05 -0500

sipwitch (0.9.3-1) UNRELEASED; urgency=low

  * Fix for domains.

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 23 Feb 2011 18:59:48 -0500

sipwitch (0.9.2-1) UNRELEASED; urgency=low

  * Updated tls support and some bugs.
    - resolved registration with contact (Bug: #5).
    - resolved exiting issues and 0.0.0.0 interface binding (Bug: #4).

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 09 Nov 2010 07:59:08 -0500

sipwitch (0.9.1-1) UNRELEASED; urgency=low

  * Fix for unit test.

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 15 Aug 2010 10:32:11 -0400

sipwitch (0.9.0-1) UNRELEASED; urgency=low

  * Uses ucommon 3.3.4 or later.

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 11 Aug 2010 23:08:51 -0400

sipwitch (0.8.4-1) UNRELEASED; urgency=low

  * Better handling of unresolvable request uri's

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 11 Jul 2010 20:24:32 -0400

sipwitch (0.8.3-1) UNRELEASED; urgency=low

  * Sipwitch reconfigures on network changes

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 18 May 2010 18:50:28 -0400

sipwitch (0.8.2-1) UNRELEASED; urgency=low

  * Requires ucommon 2.1.3

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 05 May 2010 10:07:55 -0400

sipwitch (0.8.1-1) UNRELEASED; urgency=low

  * Requires ucommon 2.1.2

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 25 Apr 2010 12:29:56 -0400

sipwitch (0.8.0-1) UNRELEASED; urgency=low

  * Uses ucommon 2.1.x
  * Introduces libnotify plugin

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 29 Mar 2010 16:54:53 -0400

sipwitch (0.7.5-1) UNRELEASED; urgency=low

  * Init script fix for current distributions

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 22 Mar 2010 18:37:59 -0400

sipwitch (0.7.4-1) UNRELEASED; urgency=low

  * New upstream release and better description

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 15 Mar 2010 13:36:53 -0400

sipwitch (0.7.3-2) UNRELEASED; urgency=low

  *  Added setuid override

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 15 Mar 2010 07:49:42 -0400

sipwitch (0.7.3-1) UNRELEASED; urgency=low

  * Separate cgi package introduced for sipwitch webservices

 -- David Sugar <dyfet@gnutelephony.org>  Sat, 13 Mar 2010 17:38:14 -0500

sipwitch (0.7.2-1) UNRELEASED; urgency=low

  * Added examples back to package
  * Added debug support for rules in dh7
  * Enhanced runtime server debug support
  * Automatic adding of hostname to localnames

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 22 Feb 2010 09:40:47 -0500

sipwitch (0.7.1-1) UNRELEASED; urgency=low

  * new default config
  * fixed broken issue in debian init script
  * better seperatation of user vs root startup modes

 -- David Sugar <dyfet@gnutelephony.org>  Fri, 12 Feb 2010 09:15:05 -0500

sipwitch (0.7.0-1) UNRELEASED; urgency=low

  * new core NAT functionality introduced
  * definition of sip domain and realm consolidated

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 07 Feb 2010 19:00:52 -0500

sipwitch (0.6.2-1) UNRELEASED; urgency=low

  * only create extensions for generated accounts if using extension dialing
  * can change uid setting when server is live
  * use uuid for realm if no realm is set
  * maintainer sipwitch config file cleaned up with saner default options

 -- David Sugar <dyfet@gnutelephony.org>  Sat, 23 Jan 2010 02:03:42 -0500

sipwitch (0.6.1-1) UNRELEASED; urgency=low

  * Upstream fix for packing systems that do not use fakeroot

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 20 Jan 2010 07:24:13 -0500

sipwitch (0.6.0-1) UNRELEASED; urgency=medium

  * Updated sipdigest to use sipwitch server library
  * Introduction of separate user account digest hash database
  * Digest hash database usable as an authentication source
  * New sippasswd utility to set sip user's digest secret
  * Sipwitch automatic integration of login accounts as sip users
  * Templaes for integrating login accounts and setting default properties

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 19 Jan 2010 17:07:11 -0500

sipwitch (0.5.13-1) UNRELEASED; urgency=low

  *  Externalization of sip realm support for user password sync.

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 17 Jan 2010 12:05:40 -0500

sipwitch (0.5.12-1) UNRELEASED; urgency=low

  * clearer definition of users, admins, services, and profiles
  * inbound anonymous calling fixed
  * missing man pages added

 -- David Sugar <dyfet@gnutelephony.org>  Fri, 18 Dec 2009 08:37:10 -0500

sipwitch (0.5.11-2) UNRELEASED; urgency=low

  * Re-packaged using debhelper support for init, cron, and logrotate

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 07 Dec 2009 08:53:02 -0500

sipwitch (0.5.11-1) UNRELEASED; urgency=low

  * Fix for gcc 4.4 strict pointer aliasing.
  * Addition of library configuration script.

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 30 Nov 2009 10:13:26 -0500

sipwitch (0.5.10-1) UNRELEASED; urgency=medium

  * Fix for clients that register from ephimeral sockets (telepathy)

