=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,4 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod 4755 debian/sipwitch/usr/bin/sippasswd
+
