## sipwitch 1.0.3

=== debian/changelog ===
sipwitch (1.0.3-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#618427.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Jul 2011 14:27:16 +0200
