## sipwitch 1.2.3

=== debian/changelog ===
sipwitch (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patch 1001.
  * Add git-buildpackage configfile, enabling signed tags.
  * Update copyright file:
    + Fix adjust GPL-2+ License section to actually contain GPL-2+ (not
      GPL-3+). Thanks to Mike O'Connor.
    + Add Files paragraphs, introducing new copyright holder.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Fix include final final line of a disclaimer.
    + Fix add dot to avoid vertical space in License field.
    + Bump format to 1.0.
  * Update package relations:
    + Fix stop depend on unused inetd.
    + Fix recommend (not depend on) cron and logrotate.
    + Relax build-dependency on cdbs (needlessly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).
  * Remove debian/source/local-options; abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Add a few TODO items.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Mar 2012 14:43:28 +0100
