=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: sipwitch
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: autotools-dev,
- devscripts (>= 2.10.7~),
+Build-Depends: cdbs (>= 0.4.70~),
+ autotools-dev,
+ devscripts,
  libtool,
  automake1.11,
  autoconf,
- cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper,
  dh-buildinfo,
  libucommon-dev,
  libexosip2-dev,
  pkg-config,
  libavahi-client-dev,
  d-shlibs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/sipwitch/
 Section: net
 
@@ -23,8 +23,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  adduser,
- openbsd-inetd | inet-superserver,
- cron,
+Recommends: cron,
  logrotate
 Suggests: sipwitch-cgi
 Description: secure peer-to-peer VoIP server for the SIP protocol
