=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 pkgconfigname = $(libname)
 
 DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = 23f9a49774972e7663624da2cedd9f51
+DEB_UPSTREAM_TARBALL_MD5 = 177f0ca54289232a1fd446c1c673de37
 
 CDBS_BUILD_DEPENDS += , libucommon-dev, libexosip2-dev, pkg-config, libavahi-client-dev
 
@@ -49,14 +49,14 @@
 devbinfiles = sipwitch-config
 binfiles = sippasswd sipquery sipwitch
 sbinfiles = sipw
-cgifiles = sipwitch.cgi
+cgifiles = sipwitch-cgi
 DEB_INSTALL_MANPAGES_$(libname)-dev = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(devbinfiles))
 DEB_INSTALL_MANPAGES_$(stem) = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(binfiles)) $(patsubst %,debian/tmp/usr/share/man/man8/%.8,$(sbinfiles))
 DEB_INSTALL_MANPAGES_$(stem)-cgi = $(patsubst %,debian/tmp/usr/share/man/man8/%.8,$(cgifiles))
 DEB_DH_INSTALL_ARGS_$(libname)-dev = --autodest $(patsubst %,usr/bin/%,$(devbinfiles))
 DEB_DH_INSTALL_ARGS_$(stem) = --autodest $(patsubst %,usr/bin/%,$(binfiles)) $(patsubst %,usr/sbin/%,$(sbinfiles))
 DEB_DH_INSTALL_ARGS_$(stem) += usr/lib/sipwitch/*.so etc
-DEB_DH_INSTALL_ARGS_$(stem)-cgi = --autodest $(patsubst %,usr/lib/cgi-bin/%,$(cgifiles))
+DEB_DH_INSTALL_ARGS_$(stem)-cgi = --autodest usr/lib/cgi-bin/ $(patsubst %,usr/bin/%,$(cgifiles))
 
 # put aside upstream-shipped temp files during build but after copyright-check
 upstreamtmpfiles = Makefile.in $(patsubst %,%/Makefile.in,common inc inc/sipwitch server test utils)
