## sipwitch 1.2.4

=== debian/changelog ===
sipwitch (1.2.4-1) unstable; urgency=low

  * New upstream release.

  * Update upstream source URL.
  * Extend copyright coverage of packaging.
  * Add Vcs-* URLs to control file.
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 16:55:59 +0200
