=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
 Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/sipwitch/
 Section: net
+Vcs-Git: git://git.debian.org/git/collab-maint/sipwitch.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sipwitch.git
 
 Package: sipwitch
 Architecture: any
