=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for GNU SIP Witch
 #
 # This program is free software; you can redistribute it and/or modify
@@ -39,8 +39,8 @@
 libpkgname = lib$(stem)$(major)
 pkgconfigname = $(libname)
 
-DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = 177f0ca54289232a1fd446c1c673de37
+DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/sipwitch
+DEB_UPSTREAM_TARBALL_MD5 = 6119cecb062ba4d0af18b427b01c41e2
 
 CDBS_BUILD_DEPENDS += , libucommon-dev, libexosip2-dev, pkg-config, libavahi-client-dev
